EDIT - task #2773

TestingTerminitializer & CdmintegrationTest must not use hardcoded DataTypeFactory
02/10/2012 09:50 AM - Andreas Kohlbecker

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: major

Description

TestingTerminitializer & CdmintegrationTest must use unitils.properties: org.unitils.core.dbsupport. DbSupport.implClassName &
database.dialect to find configured DataTypeFactory

o TestingTermlinitializer: line 113

e CdmintegrationTest: line 68 - CdmintegrationTest extends UnitilsJUnit4, so there is a good option that we can let unitils handle
the database configuration => examine

History

#1 - 02/10/2012 10:34 AM - Andreas Kohlbecker

- Subject changed from Testing Termlinitializer must not use hardcoded DataTypeFactory to TestingTerminitializer & CdmintegrationTest must not use
hardcoded DataTypeFactory

#2 - 11/23/2021 07:27 PM - Andreas Miiller
- Tracker changed from bug to task

- Description updated

do you know if this is still an open issue?

#3 - 11/24/2021 10:37 AM - Andreas Kohlbecker
- Description updated
- Status changed from New to Feedback

- Private changed from Yes to No

not without investigating the code. Could you please take over this ticket?

#4 - 11/24/2021 11:23 AM - Andreas Miiller

- Tags set to test

- Status changed from Feedback to New

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

- Target version changed from cdmlib - Old Next Major Release to Unassigned CDM tickets
